php-symfony-ldap_3.4.22+dfsg-1ubuntu1_all.deb


Advertisement

Description

php-symfony-ldap - abstraction layer for the PHP LDAP module

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename php-symfony-ldap_3.4.22+dfsg-1ubuntu1_all.deb
Package name php-symfony-ldap
Package version 3.4.22+dfsg
Package release 1ubuntu1
Package architecture all
Package type deb
Category universe/php
Homepage https://symfony.com/doc/3.4/components/ldap.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 16.92 KB
Installed size 105.00 KB
The Symfony Ldap Component provides an abstraction layer for the
functions provided by the LDAP module for PHP (php-ldap).
Symfony is a PHP framework, a set of tools and a development methodology.

Alternatives

Package Version Architecture Repository
php-symfony-ldap_3.4.22+dfsg-1ubuntu1_all.deb 3.4.22+dfsg all Ubuntu Universe
php-symfony-ldap - - -

Requires

Name Value
php-common -
php-ldap -
php-symfony-options-resolver >= 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package php-symfony-ldap_3.4.22+dfsg-1ubuntu1_all.deb
Source Package symfony

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-symfony-ldap deb package:
    # sudo apt-get install php-symfony-ldap

Files

Path
/usr/share/doc/php-symfony-ldap/changelog.Debian.gz
/usr/share/doc/php-symfony-ldap/copyright
/usr/share/php/Symfony/Component/Ldap/Entry.php
/usr/share/php/Symfony/Component/Ldap/Ldap.php
/usr/share/php/Symfony/Component/Ldap/LdapClient.php
/usr/share/php/Symfony/Component/Ldap/LdapClientInterface.php
/usr/share/php/Symfony/Component/Ldap/LdapInterface.php
/usr/share/php/Symfony/Component/Ldap/autoload.php
/usr/share/php/Symfony/Component/Ldap/Adapter/AbstractConnection.php
/usr/share/php/Symfony/Component/Ldap/Adapter/AbstractQuery.php
/usr/share/php/Symfony/Component/Ldap/Adapter/AdapterInterface.php
/usr/share/php/Symfony/Component/Ldap/Adapter/CollectionInterface.php
/usr/share/php/Symfony/Component/Ldap/Adapter/ConnectionInterface.php
/usr/share/php/Symfony/Component/Ldap/Adapter/EntryManagerInterface.php
/usr/share/php/Symfony/Component/Ldap/Adapter/QueryInterface.php
/usr/share/php/Symfony/Component/Ldap/Adapter/RenameEntryInterface.php
/usr/share/php/Symfony/Component/Ldap/Adapter/ExtLdap/Adapter.php
/usr/share/php/Symfony/Component/Ldap/Adapter/ExtLdap/Collection.php
/usr/share/php/Symfony/Component/Ldap/Adapter/ExtLdap/Connection.php
/usr/share/php/Symfony/Component/Ldap/Adapter/ExtLdap/ConnectionOptions.php
/usr/share/php/Symfony/Component/Ldap/Adapter/ExtLdap/EntryManager.php
/usr/share/php/Symfony/Component/Ldap/Adapter/ExtLdap/Query.php
/usr/share/php/Symfony/Component/Ldap/Exception/ConnectionException.php
/usr/share/php/Symfony/Component/Ldap/Exception/DriverNotFoundException.php
/usr/share/php/Symfony/Component/Ldap/Exception/ExceptionInterface.php
/usr/share/php/Symfony/Component/Ldap/Exception/LdapException.php
/usr/share/php/Symfony/Component/Ldap/Exception/NotBoundException.php

Changelog

2019-02-11 - Gianfranco Costamagna <locutusofborg@debian.org>
symfony (3.4.22+dfsg-1ubuntu1) disco; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Do not fail testsuite on s390x
2019-02-08 - David Prévot <taffit@debian.org>
symfony (3.4.22+dfsg-1) unstable; urgency=medium
[ Fabien Potencier ]
* switched array() to [] (Closes: #919816)
* updated VERSION for 3.4.22
[ David Prévot ]
* Update dependency override
2019-01-08 - Gianfranco Costamagna <locutusofborg@debian.org>
symfony (3.4.21+dfsg-1ubuntu2) disco; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Do not fail testsuite on s390x
- tweak back d/p/HttpFoundation-Workaround-some-currently-broken-tests.patch
- this tweak should be uncommented once php 7.3 becomes the default in
Ubuntu too
2019-01-08 - David Prévot <taffit@debian.org>
symfony (3.4.21+dfsg-1) unstable; urgency=medium
[ Fabien Potencier ]
* updated VERSION for 3.4.21
[ Christian Flothmann ]
* update year in license files
[ David Prévot ]
* Use debian/clean for directories
* Update copyright (years)
* Use debhelper-compat 12
* Update Standards-Version to 4.3.0
[ Kunal Mehta ]
* Remove and replace php-symfony-polyfill-* dependencies (Closes: #821138)
2018-12-15 - Gianfranco Costamagna <locutusofborg@debian.org>
symfony (3.4.20+dfsg-1ubuntu2) disco; urgency=medium
[ Andreas Hasenack ]
* debian/patches/fix-armhf-test-failures.patch
- first attempt to fix armhf test failures.
2018-12-10 - Gianfranco Costamagna <locutusofborg@debian.org>
symfony (3.4.20+dfsg-1ubuntu1) disco; urgency=low
* Merge from Debian unstable.  Remaining changes:
- Do not fail testsuite on s390x
- tweak back d/p/HttpFoundation-Workaround-some-currently-broken-tests.patch
- this tweak should be uncommented once php 7.3 becomes the default in
Ubuntu too
2018-12-06 - David Prévot <taffit@debian.org>
symfony (3.4.20+dfsg-1) unstable; urgency=medium
[ Fabien Potencier ]
* updated VERSION for 3.4.20
[ Nicolas Grekas ]
* [Form] Filter file uploads out of regular form types [CVE-2018-19789]
[ Christian Flothmann ]
* [Security\Http] detect bad redirect targets using backslashes
[CVE-2018-19790]
[ David Prévot ]
* Keep tracking v3 branch for Buster
2018-12-01 - Gianfranco Costamagna <locutusofborg@debian.org>
symfony (3.4.19+dfsg-1ubuntu1) disco; urgency=medium
* Merge from Debian unstable. Remaining changes:
- Do not fail testsuite on s390x
- d/p/nan-case-sensitivy.patch (now merged upstream, to be dropped on next
major release)
- tweak back d/p/HttpFoundation-Workaround-some-currently-broken-tests.patch
- this tweak should be uncommented once php 7.3 becomes the default in
Ubuntu too
2018-11-28 - David Prévot <taffit@debian.org>
symfony (3.4.19+dfsg-1) unstable; urgency=medium
[ Fabien Potencier ]
* updated VERSION for 3.4.19
- fix the testsuite with PHP 7.3 (Closes: #914273)
2018-11-23 - Michael Hudson-Doyle <michael.hudson@ubuntu.com>
symfony (3.4.18+dfsg-0ubuntu2) disco; urgency=medium
* d/patches/nan-case-sensitivy.patch: do not parse NaN or nan or Nan with
NumberFormatter as ICU which underlies this class is inconsistent about
parsing NaNs.

See Also

Package Description
php-symfony-lock_3.4.22+dfsg-1ubuntu1_all.deb creates and manages locks
php-symfony-monolog-bridge_3.4.22+dfsg-1ubuntu1_all.deb integration for Monolog with Symfony Components
php-symfony-options-resolver_3.4.22+dfsg-1ubuntu1_all.deb configure objects with option arrays
php-symfony-phpunit-bridge_3.4.22+dfsg-1ubuntu1_all.deb integration for PHPUnit with Symfony Components
php-symfony-polyfill-apcu_1.9.0-1_all.deb Symfony polyfill backporting apcu_* functions to lower PHP versions
php-symfony-polyfill-ctype_1.9.0-1_all.deb Symfony polyfill for ctype functions
php-symfony-polyfill-iconv_1.9.0-1_all.deb Symfony polyfill for the Iconv extension
php-symfony-polyfill-intl-grapheme_1.9.0-1_all.deb Symfony polyfill for intl's grapheme_* functions
php-symfony-polyfill-intl-icu_1.9.0-1_all.deb Symfony polyfill for intl's ICU-related data and classes
php-symfony-polyfill-intl-normalizer_1.9.0-1_all.deb Symfony polyfill for intl's Normalizer class and related functions
php-symfony-polyfill-mbstring_1.9.0-1_all.deb Symfony polyfill for the Mbstring extension
php-symfony-polyfill-php54_1.9.0-1_all.deb Symfony polyfill backporting some PHP 5.4+ features to lower PHP versions
php-symfony-polyfill-php55_1.9.0-1_all.deb Symfony polyfill backporting some PHP 5.5+ features to lower PHP versions
php-symfony-polyfill-php56_1.9.0-1_all.deb Symfony polyfill backporting some PHP 5.6+ features to lower PHP versions
php-symfony-polyfill-php70_1.9.0-1_all.deb Symfony polyfill backporting some PHP 7.0+ features to lower PHP versions
Advertisement
Advertisement